gprbuild (2025.0.0-4build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:21:55 +0100

gprbuild (2025.0.0-4build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:44 +0200

gprbuild (2025.0.0-4) unstable; urgency=medium

  * Fix the SOURCE_DATE_EPOCH conversion.  Closes: #1100373.
  * Let tests/source-date-epoch produce more debugging info.
  * Reenable the SOURCE_DATE_EPOCH test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Apr 2025 14:54:44 +0000

gprbuild (2025.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * To proceed with the gnat transition, mark the source-date-epoch test
    as flaky. It currently fails. Addresses: #1100373.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Mar 2025 09:44:02 +0100

gprbuild (2025.0.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Mar 2025 21:33:02 +0100

gprbuild (2025.0.0-2) experimental; urgency=medium

  * Bump Shared Object version of the library (some profiles have changed).
  * Call gnatbind as target-gnatbind-version instead of target-gnatbind,
    which does not exist in Debian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Dec 2024 19:10:42 +0000

gprbuild (2025.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Build with gnat-14 in experimental.
  * Reduce diff with libxmlada/debian/rules
  * Reduce diff with gnat/ada-lib-info-source-date-epoch.diff
  * source-date-epoch: also truncate in File_Stamp(String).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Nov 2024 19:07:32 +0100

gprbuild (2024.1.20231009-5) unstable; urgency=medium

  * source-date-epoch: fix a typo
  * Standards-Version: 4.7.0 (no changes)
  * source-date-epoch: adapt to a private time_t
  * source-date-epoch: fix Source_Date_Time unit (nanoseconds -> seconds)
  * Patch adapting gpr to a private timeval type in libgnat
  * Patch adapting gpr to a private time_t type in libgnat

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 May 2024 13:13:00 +0000

gprbuild (2024.1.20231009-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 14:50:22 +0100

gprbuild (2024.1.20231009-3) experimental; urgency=medium

  * Rebuild with dh-ada-library 9.1 and gnat versions in ada:Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 19 Dec 2023 00:50:20 +0100

gprbuild (2024.1.20231009-2) experimental; urgency=medium

  * Previous upload broke the ABI, update the SOversion in library package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 11:44:59 +0000

gprbuild (2024.1.20231009-1) experimental; urgency=medium

  * New upstream release.
  * Adapt debian/rules to new source file naming exception.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 21:16:13 +0000

gprbuild (2023.0.0-4) experimental; urgency=medium

  * Build in experimental with dh-ada-library >= 9 and gnat >= 13
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 16:32:27 +0000

gprbuild (2023.0.0-3) unstable; urgency=medium

  * Break/Replace libgnatprj*-dev since oldstable. Closes: #1034913.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 23:33:22 +0200

gprbuild (2023.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Dec 2022 23:43:38 +0100

gprbuild (2023.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Build with unicode 15. No need to rename -dev in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 10:42:31 +0000

gprbuild (2023~20220801-3) experimental; urgency=medium

  * Avoid variables set by packaging.mk during -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 18:33:59 +0000

gprbuild (2023~20220801-2) experimental; urgency=medium

  * Update debian/rules for dh-ada-library 8.1.
    Various simplifications in sync with the ones in libxmlada.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2022 23:35:39 +0000

gprbuild (2023~20220801-1) experimental; urgency=medium

  * Build new upstream snapshot with gnat-12 in experimental.
    Change ALI and SO versions for the library.
  * Depend on gprconfig-kb recent enough for Bindfile_Option_Substitution.
  * When mixing Ada and C, recommend to only match major version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Aug 2022 06:42:00 +0000

gprbuild (2022.0.0-9) unstable; urgency=medium

  * Move basic test of projects mixing Ada and C to gprconfig-kb.
    Let examples which are mixing languages use the same GCC version too.
  * Improve wording and examples in README.Debian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 16 Jul 2022 18:53:36 +0000

gprbuild (2022.0.0-8) unstable; urgency=medium

  * Remove support for gnatgcc as a compiler in gprconfig-kb
  * Add autopkgtest for a project mixing Ada and C
  * Update README.Debian

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 14 Jul 2022 18:35:33 +0200

gprbuild (2022.0.0-7) unstable; urgency=medium

  * Disable parallelism in Make, reenable it in sphinx.
    The failure of 2022.0.0-6 disculps sphinx-doc of #1008152.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 07 Jun 2022 16:27:42 +0000

gprbuild (2022.0.0-6) unstable; urgency=medium

  * Disable parallelism when building sphinx documentation, hopefully
    avoiding to trigger #1008152 again.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Jun 2022 22:08:00 +0000

gprbuild (2022.0.0-5) unstable; urgency=medium

  * Fix regular expression removing -prefix-map lines from .ali files

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 May 2022 02:18:33 +0200

gprbuild (2022.0.0-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:04:52 +0200

gprbuild (2022.0.0-3) experimental; urgency=medium

  * Let -dev packages depend on 'gnat (>= X), gnat (<< X+1)' instead of
    'gnat, gnat-X'.  See https://bugs.debian.org/bug=975589#24.
  * Override dh_gencontrol instead of appending to .substvars, in order to
    increase log readability and prevent multiple inclusions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2022 13:19:47 +0000

gprbuild (2022.0.0-2) experimental; urgency=medium

  * Rebuild with gnat-11 (>= 11.2.0-19).
    A change in s-oscons.ads breaks ALI checksums.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 12:02:43 +0000

gprbuild (2022.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-11 in experimental.
  * Rename lib and -dev packages per Ada policy.
  * Adapt to changes in debian_packaging.mk.
  * Install gprbind and gprlib to /usr/libexec instead of /usr/lib.
    Depend on a version of gprconfig-kb aware of this. Closes: #998628.
  * Build-Depend: tex-gyre. Closes: #997415.
  * Drop obsolete version restriction in Build-Depends.
  * Add copyright stanza for an unused copy of sphinx.sty.
  * Add upstream metadata.
  * Remove unneeded filenamemangle uscan option.
  * Update standards version, patch status.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 12:39:17 +0000

gprbuild (2021.0.0.0778b109-5) unstable; urgency=medium

  * Fix dependencies for examples autopkgtest. Closes: #977551.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Dec 2020 12:30:43 +0000

gprbuild (2021.0.0.0778b109-4) unstable; urgency=medium

  * Fix dependencies for gpr-wrapper autopkgtest. Closes: #977551.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 16 Dec 2020 23:07:44 +0000

gprbuild (2021.0.0.0778b109-3) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Add myself to Uploaders.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 11 Dec 2020 09:19:32 +0100

gprbuild (2021.0.0.0778b109-2) experimental; urgency=medium

  * Build-Depend: libxmlada (>= 21), fixing the build of indirect reverse
    dependencies in experimental where ALI versions do not change.
  * Install compatibility gpr.gpr referencing gnatprj.gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 17:22:29 +0000

gprbuild (2021.0.0.0778b109-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
    Adapt ada-lib-info-source-date-epoch.diff to nanosecond precision.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes invariant sections from GFDL-1.3+.
    Add a Debian -doc package for the user guide and move examples there.
    New patches: doc-conf-python3, doc-conf-sphinx4, clean-pycache.
  * Upstream distributes gprconfig-kb separately.
  * Upstream does not regenerate gpr-snames anymore.
  * tests: check installed examples instead of using source tree.
  * Upstream recommends to watch github instead of the community website.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 18 Oct 2020 12:54:06 +0000

gprbuild (2020-1) experimental; urgency=medium

  * New upstream version built with gnat-10.
    Rename lib and -dev package in experimental.
  * Sync SOURCE_DATE_EPOCH patch with equivalent gcc-10 patch.
  * Rebase archive-builder.diff as in upstream merge request.
  * Sync shared part of debian/rules with libxmlada.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 May 2020 14:11:33 +0000

gprbuild (2019-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 24 Feb 2020 22:03:24 +0100

gprbuild (2018-8) unstable; urgency=medium

  * A correct transition is being prepared in experimental.
    For now, let -dev Conflict: libgrpc-dev and revert 2018-7.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 12 Dec 2019 19:24:55 +0100

gprbuild (2019-2) experimental; urgency=medium

  * Rename libgpr{19,3-dev} to libgnatprj{7,7-dev}. This completes the fix
    for #945197 by 2018-7, but requires changes in reverse dependencies.
  * Standards-Version: 4.4.1.
  * --as-needed is the default with gcc-9.
  * Include only needed dpkg makefile snippets.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Dec 2019 18:13:22 +0100

gprbuild (2018-7) unstable; urgency=medium

  * Rename libgpr.(a|so) to libgnatprj because the grpc source owns them.
    Closes: #945197.  Previous libgnatprj*-dev own libgnatprj.(a|so), but
    Depend: distinct gnat versions so coinstallation is already prevented.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Nov 2019 11:57:50 +0100

gprbuild (2019-1) experimental; urgency=medium

  * New upstream release, built with gnat-9 and updated dependencies.
    Migration in experimental, renaming lib and -dev packages.
  * Move Version Control System to salsa.
  * Debhelper 12.
  * Standards-Version 4.4.0.
  * gprconfig.patch: more comments, fewer changes.
    Stop enforcing the Ada linker for projects mixing languages.
    Stop proposing gnatgcc as a distinct compiler.
  * Stop looking for projects in obsolete /usr/share/gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Jul 2019 13:08:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgnatprj12`.
